package org.studiorailgun.conversation.llm;

/**
 * A character in a conversation who can say statements
 */
public class Actor {
    
    /**
     * The name of the actor
     */
    String name;

    /**
     * Creates an actor
     * @param name The name
     */
    public Actor(String name){
        this.name = name;
    }

    /**
     * Gets the name of the actor
     * @return The name
     */
    public String getName() {
        return name;
    }

    /**
     * Sets the name of the actor
     * @param name The name
     */
    public void setName(String name) {
        this.name = name;
    }

    

}
